# Duoshuo
---

This is the DuoShuo comment widget.

<div class="am-alert am-alert-danger">
  Please use your own DuoShuo website ID to replace <code>amazeui</code> in <code>data-ds-short-name="amazeui"</code>. Otherwise, your comments will all come to Amaze UI.
</div>

<div class="am-alert am-alert-warning">
  This widget is provided by <a href="http://dev.duoshuo.com/" target="_blank">DuoShuo</a>. See more details in <a href="http://dev.duoshuo.com/docs" target="_blank">Official Docs</a>.
</div>

## Usage

The shortName is required, and others are optional.

## API

```javascript
{
  "id": "",
  "className": "",
  "theme": "",
  "options": {
    "shortName": "",
  },
  "content": {
    "threadKey": "",
    "title": "",
    "url": ""
  }
}
```